Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-qt/fc_client.cpp File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions | Variables
fc_client.cpp File Reference
`#include <QApplication>`
`#include <QComboBox>`
`#include <QFormLayout>`
`#include <QLineEdit>`
`#include <QMainWindow>`
`#include <QPainter>`
`#include <QResizeEvent>`
`#include <QScrollBar>`
`#include <QSettings>`
`#include <QSocketNotifier>`
`#include <QSpinBox>`
`#include <QStackedLayout>`
`#include <QStandardPaths>`
`#include <QStatusBar>`
`#include <QStyleFactory>`
`#include <QTabBar>`
`#include <QTextBlock>`
`#include <QTextEdit>`
`#include "game.h"`
`#include "connectdlg_common.h"`
`#include "fc_client.h"`
`#include "fonts.h"`
`#include "gui_main.h"`
`#include "optiondlg.h"`
`#include "sidebar.h"`
`#include "sprite.h"`

Go to the source code of this file.

## Functions

bool | get_turn_done_button_state ()
void | real_science_report_dialog_update (void *)
void | write_shortcuts ()

## Variables

QString | current_theme

## Function Documentation

## ◆ get_turn_done_button_state()

bool get_turn_done_button_state | ( | void |  | ) |

Return TRUE iff the turn done button should be enabled.

Definition at line 523 of file mapctrl_common.c.

Referenced by fc_game_tab_widget::resizeEvent(), and update_turn_done_button().

## ◆ real_science_report_dialog_update()

void real_science_report_dialog_update | ( | void * | unused | ) |

Update the science report dialog.

Update the science report.

Definition at line 751 of file repodlgs.c.

## ◆ write_shortcuts()

void write_shortcuts | ( |  | ) |

extern

Writes shortcuts to file

Definition at line 792 of file shortcuts.cpp.

Referenced by fc_client::write_settings().

## Variable Documentation

## ◆ current_theme

QString current_theme

Definition at line 65 of file fc_client.cpp.

Referenced by combo_new(), create_checkbox(), create_edit(), create_horizontal_scrollbar(), create_icon_button(), create_tech_info(), create_textcheckbox(), create_units_order_widgets(), create_vertical_scrollbar(), create_window_skeleton(), draw_frame(), economy_report_dialog_popup(), fc_icons::get_icon(), fc_icons::get_pixmap(), get_progress_icon(), init_options_button(), nation_button_callback(), notify_goto_dialog_new(), option_dialog_new(), option_dialog_optset_category(), popup_advanced_terrain_dialog(), popup_bribe_dialog(), popup_change_research_dialog(), popup_change_research_goal_dialog(), popup_city_cma_dialog(), popup_conn_list_dialog(), popup_connection_dialog(), popup_diplomacy_dialog(), popup_find_dialog(), popup_goto_airlift_dialog(), popup_hurry_production_dialog(), popup_impr_info(), popup_incite_dialog(), popup_join_game_dialog(), popup_load_del_presets_dialog(), popup_load_game_dialog(), popup_minimap_window(), popup_new_user_passwd_dialog(), popup_newcity_dialog(), popup_notify_dialog(), popup_pillage_dialog(), popup_players_dialog(), popup_players_nations_dialog(), popup_races_dialog(), popup_sabotage_dialog(), popup_sell_impr_callback(), popup_spaceship_dialog(), popup_tech_info(), popup_terrain_info_dialog(), popup_unit_disband_dlg(), popup_unit_info(), popup_unit_upgrade_dlg(), popup_unitinfo_window(), popup_upgrade_unit_callback(), popup_user_passwd_dialog(), popup_war_dialog(), popup_worklist_editor(), real_activeunits_report_dialog_update(), real_city_dialog_popup(), real_info_city_report_dialog_update(), real_menus_update(), redraw_army_city_dialog(), redraw_happiness_city_dialog(), redraw_info_city_dialog(), redraw_misc_city_dialog(), redraw_supported_units_city_dialog(), save_cma_callback(), science_report_dialog_popup(), sell_imprvm_dlg_callback(), set_client_area(), set_new_minimap_window_pos(), set_new_unitinfo_window_pos(), show_tech_tree_callback(), spy_steal_popup_shared(), toggle_full_tree_mode_in_help_dlg_callback(), toggle_map_window_callback(), toggle_unit_info_window_callback(), unit_select_dialog_popup(), update_diplomacy_dialog(), and update_intel_dialog().